Bug 859920 - [abrt] evolution-3.4.4-1.fc17: camel_message_info_ref: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
[abrt] evolution-3.4.4-1.fc17: camel_message_info_ref: Process /usr/bin/evolu...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:bbe2581146effcdc5547be714f0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 07:59 EDT by Petr Muller
Modified: 2016-09-19 22:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-18 03:16:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.18 KB, text/plain)
2012-09-24 07:59 EDT, Petr Muller
no flags Details
File: environ (1.61 KB, text/plain)
2012-09-24 07:59 EDT, Petr Muller
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-24 07:59 EDT, Petr Muller
no flags Details
File: backtrace (75.45 KB, text/plain)
2012-09-24 07:59 EDT, Petr Muller
no flags Details
File: cgroup (127 bytes, text/plain)
2012-09-24 07:59 EDT, Petr Muller
no flags Details
File: maps (89.71 KB, text/plain)
2012-09-24 07:59 EDT, Petr Muller
no flags Details
File: dso_list (18.75 KB, text/plain)
2012-09-24 07:59 EDT, Petr Muller
no flags Details
File: var_log_messages (152 bytes, text/plain)
2012-09-24 07:59 EDT, Petr Muller
no flags Details
File: open_fds (2.41 KB, text/plain)
2012-09-24 07:59 EDT, Petr Muller
no flags Details

  None (edit)
Description Petr Muller 2012-09-24 07:59:21 EDT
Version-Release number of selected component:
evolution-3.4.4-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        evolution
crash_function: camel_message_info_ref
kernel:         3.5.3-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #4 camel_message_info_ref at camel-folder-summary.c
: #5 camel_folder_summary_peek_loaded at camel-folder-summary.c
: #6 imap_expunge_uids_online at camel-imap-folder.c
: #7 imap_expunge_sync at camel-imap-folder.c
: #8 imap_synchronize_sync at camel-imap-folder.c
: #9 camel_folder_synchronize_sync at camel-folder.c
: #10 vee_folder_synchronize_sync at camel-vee-folder.c
: #11 camel_folder_expunge_sync at camel-folder.c
: #12 mail_msg_proxy at mail-mt.c
: #14 g_thread_proxy at gthread.c
Comment 1 Petr Muller 2012-09-24 07:59:24 EDT
Created attachment 616518 [details]
File: core_backtrace
Comment 2 Petr Muller 2012-09-24 07:59:26 EDT
Created attachment 616519 [details]
File: environ
Comment 3 Petr Muller 2012-09-24 07:59:28 EDT
Created attachment 616520 [details]
File: limits
Comment 4 Petr Muller 2012-09-24 07:59:31 EDT
Created attachment 616521 [details]
File: backtrace
Comment 5 Petr Muller 2012-09-24 07:59:33 EDT
Created attachment 616522 [details]
File: cgroup
Comment 6 Petr Muller 2012-09-24 07:59:35 EDT
Created attachment 616523 [details]
File: maps
Comment 7 Petr Muller 2012-09-24 07:59:38 EDT
Created attachment 616524 [details]
File: dso_list
Comment 8 Petr Muller 2012-09-24 07:59:40 EDT
Created attachment 616525 [details]
File: var_log_messages
Comment 9 Petr Muller 2012-09-24 07:59:42 EDT
Created attachment 616526 [details]
File: open_fds
Comment 10 Milan Crha 2012-10-16 06:32:55 EDT
Thanks for a bug report. I see from the backtrace that this happened during expunge of INBOX/Teams/OS Devel, but I do not see from it why it might happen. I see the search folders are involved, though it can be just a Trash folder on your IMAP account, being a virtual folder. There had been done some heavy changes in search folders code for 3.6.0, which might or might not be related. It seems to me that this happened because of some reference counting error on CamelMessageInfo. Can you reproduce this reliably, after some set of steps, or it just happened?
Comment 11 Petr Muller 2012-10-17 08:09:55 EDT
No, I cannot reproduce it, it just happened.
Comment 12 Milan Crha 2012-10-18 03:16:01 EDT
Thanks for the update. I hope we'll find some clue soon. Meanwhile, I'm closing this, as it's currently uncertain what might break here. Please reopen or file a new bug report, if you face this or other issues. Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.